Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-28420

MAven toolchains error with maven 3.3

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Critical
    • Resolution: Fixed
    • Component/s: maven-plugin
    • Labels:
      None
    • Environment:
      linux RHEL, java 8, maven 3.3, check against jenkins version 1.610 & 1.613.
    • Similar Issues:

      Description

      Hi,

      When I use toolchains, I set toolchains.xml file in ~/.m2.
      If I build a job with maven 3.2 it work.
      If I build a job with maven 3.3 it fails with the error :
      INFO] — maven-toolchains-plugin:1.1:toolchain (default) @ xxxxxxx —
      [INFO] Required toolchain: jdk [ version='1.5' ]
      [ERROR] No toolchain found for type jdk
      [ERROR] Cannot find matching toolchain definitions for the following toolchain types:
      jdk [ version='1.5' ]

      It come from jenkins plugin, because when I launch "manually" maven 3.3 it work without issue.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                intelradoux intelradoux
              • Votes:
                11 Vote for this issue
                Watchers:
                14 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: